%define oname	gst-python
%define name	gstreamer0.10-python

Name:		%{name}
Version:	0.10.22
Release:	%mkrel 3
Summary:	Python bindings for GStreamer
Group:		Development/Python
License:	LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-python/%{oname}-%{version}.tar.bz2
Patch0:		gst-python-0.10.17-linkage.patch
#gw reall fix python dir (Mdv bug #54969)
Patch1:		gst-python-0.10.20-fix-python-detection.patch
Patch2:		gst-python-0.10.22-automake-1.13.patch
Requires: 	python
Requires: 	pygtk2.0
BuildRequires:	libgstreamer-plugins-base-devel >= 0.10.32
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-devel
#gw for the docs
#BuildRequires:	xmlto
#BuildRequires:	libxml2-utils

%description
This module contains a binding that allows GStreamer applications
to be written in Python.

%package devel
Summary:	Python bindings for GStreamer - development files
Group:		Development/Python
Requires:	%{name} = %{version}

%description devel
This module contains a binding that allows GStreamer applications
to be written in Python.

Install this to build programs depending on %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .linkage
%patch1 -p1 -b .fix-python-detection
%patch2 -p1 -b .automake-1_13

%build
autoreconf -fi

%configure2_5x \
	--disable-valgrind

export XML_CATALOG_FILES=/etc/xml/catalog
%make 

%install

rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%check
export LC_ALL=C
#gw currently fails:
#https://bugzilla.gnome.org/show_bug.cgi?id=624490
#make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS RELEASE README
%{py_platsitedir}/gst-0.10/
%{py_platsitedir}/gstoption.so
%{py_platsitedir}/pygst*
%_libdir/gstreamer-0.10/libgstpython.so

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_datadir}/gst-python
%{_libdir}/pkgconfig/gst-python-0.10.pc
%{_includedir}/gstreamer-0.10/gst


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.10.22-3.mga3
+ Revision: 352751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 0.10.22-2.mga3
+ Revision: 338652
- patch2: fix build with automake 1.13

* Sun Oct 30 2011 fwang <fwang> 0.10.22-1.mga2
+ Revision: 160009
- new version 0.10.22

* Sun Jan 23 2011 wally <wally> 0.10.21-2.mga1
+ Revision: 33568
- remove old py_requires macro
- imported package gstreamer0.10-python

